<?php

namespace QUI\ProtectPlus;

use QUI;

class Console extends QUI\System\Console\Tool
{
    public function __construct()
    {
        $this->setName('quiqqer:protect-plus')
            ->setDescription('')
            ->addArgument('secure-user-data', '', false, true);
    }

    public function execute(): void
    {
        if ($this->getArgument('secure-user-data')) {
            $this->secureUserData();
        }
    }

    public function secureUserData(): void
    {
        $Users = QUI::getUsers();

        foreach ($Users->getUserIds() as $userId) {
            try {
                $this->writeLn();
                $this->write('- ' . $userId);
                $Users->get($userId)->save();
                $this->write(' [ok]');
            } catch (QUI\Exception) {
                $this->write(' [error]');
            }
        }

        $this->writeLn();
    }
}
